Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90	(revision 9169)
@@ -7,23 +7,23 @@
    !!             2.0  !  2007-12  (C. Ethe, G. Madec)  F90
    !!----------------------------------------------------------------------
-   !!   p4zsms         :  Time loop of passive tracers sms
+   !!   p4z_sms        : Time loop of passive tracers sms
    !!----------------------------------------------------------------------
-   USE oce_trc         !  shared variables between ocean and passive tracers
-   USE trc             !  passive tracers common variables 
-   USE trcdta
-   USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zbio          !  Biological model
-   USE p4zche          !  Chemical model
-   USE p4zlys          !  Calcite saturation
-   USE p4zflx          !  Gas exchange
-   USE p4zsbc          !  External source of nutrients
-   USE p4zsed          !  Sedimentation
-   USE p4zint          !  time interpolation
-   USE p4zrem          !  remineralisation
-   USE iom             !  I/O manager
-   USE trd_oce         !  Ocean trends variables
-   USE trdtrc          !  TOP trends variables
-   USE sedmodel        !  Sediment model
-   USE prtctl_trc      !  print control for debugging
+   USE oce_trc         ! shared variables between ocean and passive tracers
+   USE trc             ! passive tracers common variables 
+   USE trcdta          ! 
+   USE sms_pisces      ! PISCES Source Minus Sink variables
+   USE p4zbio          ! Biological model
+   USE p4zche          ! Chemical model
+   USE p4zlys          ! Calcite saturation
+   USE p4zflx          ! Gas exchange
+   USE p4zsbc          ! External source of nutrients
+   USE p4zsed          ! Sedimentation
+   USE p4zint          ! time interpolation
+   USE p4zrem          ! remineralisation
+   USE iom             ! I/O manager
+   USE trd_oce         ! Ocean trends variables
+   USE trdtrc          ! TOP trends variables
+   USE sedmodel        ! Sediment model
+   USE prtctl_trc      ! print control for debugging
 
    IMPLICIT NONE
@@ -33,10 +33,9 @@
    PUBLIC   p4z_sms        ! called in p4zsms.F90
 
-   REAL(wp) :: alkbudget, no3budget, silbudget, ferbudget, po4budget
-   REAL(wp) :: xfact1, xfact2, xfact3
-   INTEGER ::  numco2, numnut, numnit  !: logical unit for co2 budget
-
-   !!* Array used to indicate negative tracer values
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   xnegtr     !: ???
+   INTEGER ::    numco2, numnut, numnit      ! logical unit for co2 budget
+   REAL(wp) ::   alkbudget, no3budget, silbudget, ferbudget, po4budget
+   REAL(wp) ::   xfact1, xfact2, xfact3
+
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   xnegtr     ! Array used to indicate negative tracer values
 
    !!----------------------------------------------------------------------
@@ -45,5 +44,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -197,35 +195,40 @@
       NAMELIST/nampismass/ ln_check_mass
       !!----------------------------------------------------------------------
+      !
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'p4z_sms_init : PISCES initialization'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+      ENDIF
 
       REWIND( numnatp_ref )              ! Namelist nampisbio in reference namelist : Pisces variables
       READ  ( numnatp_ref, nampisbio, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisbio in reference namelist', lwp )
-
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampisbio in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampisbio in configuration namelist : Pisces variables
       READ  ( numnatp_cfg, nampisbio, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisbio in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, nampisbio )
-
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampisbio in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, nampisbio )
+      !
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' Namelist : nampisbio'
-         WRITE(numout,*) '    frequence pour la biologie                nrdttrc    =', nrdttrc
-         WRITE(numout,*) '    POC sinking speed                         wsbio      =', wsbio
-         WRITE(numout,*) '    half saturation constant for mortality    xkmort     =', xkmort 
+         WRITE(numout,*) '   Namelist : nampisbio'
+         WRITE(numout,*) '      frequency for the biology                 nrdttrc     =', nrdttrc
+         WRITE(numout,*) '      POC sinking speed                         wsbio       =', wsbio
+         WRITE(numout,*) '      half saturation constant for mortality    xkmort      =', xkmort 
          IF( ln_p5z ) THEN
-            WRITE(numout,*) '    N/C in zooplankton                        no3rat3    =', no3rat3
-            WRITE(numout,*) '    P/C in zooplankton                        po4rat3    =', po4rat3
-         ENDIF
-         WRITE(numout,*) '    Fe/C in zooplankton                       ferat3     =', ferat3
-         WRITE(numout,*) '    Big particles sinking speed               wsbio2     =', wsbio2
-         WRITE(numout,*) '    Big particles maximum sinking speed       wsbio2max  =', wsbio2max
-         WRITE(numout,*) '    Big particles sinking speed length scale  wsbio2scale =', wsbio2scale
-         WRITE(numout,*) '    Maximum number of iterations for POC      niter1max =', niter1max
-         WRITE(numout,*) '    Maximum number of iterations for GOC      niter2max =', niter2max
+            WRITE(numout,*) '      N/C in zooplankton                        no3rat3     =', no3rat3
+            WRITE(numout,*) '      P/C in zooplankton                        po4rat3     =', po4rat3
+         ENDIF
+         WRITE(numout,*) '      Fe/C in zooplankton                       ferat3      =', ferat3
+         WRITE(numout,*) '      Big particles sinking speed               wsbio2      =', wsbio2
+         WRITE(numout,*) '      Big particles maximum sinking speed       wsbio2max   =', wsbio2max
+         WRITE(numout,*) '      Big particles sinking speed length scale  wsbio2scale =', wsbio2scale
+         WRITE(numout,*) '      Maximum number of iterations for POC      niter1max   =', niter1max
+         WRITE(numout,*) '      Maximum number of iterations for GOC      niter2max   =', niter2max
          IF( ln_ligand ) THEN
-            WRITE(numout,*) '    FeP sinking speed                             wfep   =', wfep
+            WRITE(numout,*) '      FeP sinking speed                              wfep   =', wfep
             IF( ln_p4z ) THEN
-              WRITE(numout,*) '    Phyto ligand production per unit doc          ldocp  =', ldocp
-              WRITE(numout,*) '    Zoo ligand production per unit doc            ldocz  =', ldocz
-              WRITE(numout,*) '    Proportional loss of ligands due to Fe uptake lthet  =', lthet
+               WRITE(numout,*) '      Phyto ligand production per unit doc           ldocp  =', ldocp
+               WRITE(numout,*) '      Zoo ligand production per unit doc             ldocz  =', ldocz
+               WRITE(numout,*) '      Proportional loss of ligands due to Fe uptake  lthet  =', lthet
             ENDIF
          ENDIF
@@ -235,33 +238,29 @@
       REWIND( numnatp_ref )              ! Namelist nampisdmp in reference namelist : Pisces damping
       READ  ( numnatp_ref, nampisdmp, IOSTAT = ios, ERR = 905)
-905   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisdmp in reference namelist', lwp )
-
+905   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampisdmp in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampisdmp in configuration namelist : Pisces damping
       READ  ( numnatp_cfg, nampisdmp, IOSTAT = ios, ERR = 906 )
-906   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisdmp in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, nampisdmp )
-
+906   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampisdmp in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, nampisdmp )
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*)
-         WRITE(numout,*) ' Namelist : nampisdmp'
-         WRITE(numout,*) '    Relaxation of tracer to glodap mean value             ln_pisdmp      =', ln_pisdmp
-         WRITE(numout,*) '    Frequency of Relaxation                               nn_pisdmp      =', nn_pisdmp
-         WRITE(numout,*) ' '
+         WRITE(numout,*) '   Namelist : nampisdmp --- relaxation to GLODAP'
+         WRITE(numout,*) '      Relaxation of tracer to glodap mean value   ln_pisdmp =', ln_pisdmp
+         WRITE(numout,*) '      Frequency of Relaxation                     nn_pisdmp =', nn_pisdmp
       ENDIF
 
       REWIND( numnatp_ref )              ! Namelist nampismass in reference namelist : Pisces mass conservation check
       READ  ( numnatp_ref, nampismass, IOSTAT = ios, ERR = 907)
-907   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismass in reference namelist', lwp )
-
+907   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampismass in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampismass in configuration namelist : Pisces mass conservation check 
       READ  ( numnatp_cfg, nampismass, IOSTAT = ios, ERR = 908 )
-908   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampismass in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, nampismass )
+908   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampismass in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, nampismass )
 
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameter for mass conservation checking'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '    Flag to check mass conservation of NO3/Si/TALK ln_check_mass = ', ln_check_mass
+         WRITE(numout,*)
+         WRITE(numout,*) '   Namelist : nampismass  --- mass conservation checking'
+         WRITE(numout,*) '      Flag to check mass conservation of NO3/Si/TALK   ln_check_mass = ', ln_check_mass
       ENDIF
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 9169)
@@ -37,5 +37,4 @@
       !! ** Purpose :   Initialisation of the PISCES biochemical model
       !!----------------------------------------------------------------------
-
       !
       CALL trc_nam_pisces
@@ -46,4 +45,5 @@
 
    END SUBROUTINE trc_ini_pisces
+
 
    SUBROUTINE p4z_ini
@@ -53,5 +53,4 @@
       !! ** Purpose :   Initialisation of the PISCES biochemical model
       !!----------------------------------------------------------------------
-      !
       USE p4zsms          ! Main P4Z routine
       USE p4zche          !  Chemical model
@@ -76,13 +75,12 @@
       USE p5zmeso         !  Sources and sinks of mesozooplankton
       USE p5zmort         !  Mortality terms for phytoplankton
-
-      !
-      REAL(wp), SAVE :: sco2   =  2.312e-3_wp
-      REAL(wp), SAVE :: alka0  =  2.426e-3_wp
-      REAL(wp), SAVE :: oxyg0  =  177.6e-6_wp 
-      REAL(wp), SAVE :: po4    =  2.165e-6_wp 
-      REAL(wp), SAVE :: bioma0 =  1.000e-8_wp  
-      REAL(wp), SAVE :: silic1 =  91.51e-6_wp  
-      REAL(wp), SAVE :: no3    =  30.9e-6_wp * 7.625_wp
+      !
+      REAL(wp), SAVE ::   sco2   =  2.312e-3_wp
+      REAL(wp), SAVE ::   alka0  =  2.426e-3_wp
+      REAL(wp), SAVE ::   oxyg0  =  177.6e-6_wp 
+      REAL(wp), SAVE ::   po4    =  2.165e-6_wp 
+      REAL(wp), SAVE ::   bioma0 =  1.000e-8_wp  
+      REAL(wp), SAVE ::   silic1 =  91.51e-6_wp  
+      REAL(wp), SAVE ::   no3    =  30.9e-6_wp * 7.625_wp
       !
       INTEGER  ::  ji, jj, jk, jn, ierr
@@ -90,16 +88,15 @@
       REAL(wp) ::  ztmas, ztmas1
       CHARACTER(len = 20)  ::  cltra
-
-      !!----------------------------------------------------------------------
-
+      !!----------------------------------------------------------------------
+      !
       IF(lwp) THEN
          WRITE(numout,*)
          IF( ln_p4z ) THEN 
-            WRITE(numout,*) ' p4z_ini :   PISCES biochemical model initialisation'
+            WRITE(numout,*) 'p4z_ini :   PISCES biochemical model initialisation'
+            WRITE(numout,*) '~~~~~~~'
          ELSE
-            WRITE(numout,*) ' p5z_ini :   PISCES biochemical model initialisation'
-            WRITE(numout,*) '             With variable stoichiometry'
+            WRITE(numout,*) 'p5z_ini :   PISCES biochemical model initialisation'
+            WRITE(numout,*) '~~~~~~~     With variable stoichiometry'
          ENDIF
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~'
       ENDIF
       !
@@ -170,8 +167,8 @@
         IF( cltra == 'LGW'      )   jplgw = jn      !: Weak ligands
         IF( cltra == 'LFe'      )   jpfep = jn      !: Fe nanoparticle
-      ENDDO
+      END DO
 
       CALL p4z_sms_init       !  Maint routine
-      !                                            ! Time-step
+      !
 
       ! Set biological ratios
@@ -275,8 +272,9 @@
 
       IF(lwp) WRITE(numout,*) 
-      IF(lwp) WRITE(numout,*) 'Initialization of PISCES tracers done'
+      IF(lwp) WRITE(numout,*) '   ==>>>   Initialization of PISCES tracers done'
       IF(lwp) WRITE(numout,*) 
       !
    END SUBROUTINE p4z_ini
+
 
    SUBROUTINE p2z_ini
@@ -298,5 +296,5 @@
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) ' p2z_ini :   LOBSTER biochemical model initialisation'
-      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~'
 
       ierr =        sms_pisces_alloc()          
@@ -346,5 +344,5 @@
       !
       IF(lwp) WRITE(numout,*) 
-      IF(lwp) WRITE(numout,*) 'Initialization of LOBSTER tracers done'
+      IF(lwp) WRITE(numout,*) '   ==>>>   Initialization of LOBSTER tracers done'
       IF(lwp) WRITE(numout,*) 
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 9169)
@@ -9,5 +9,5 @@
    !!             2.0  !  2007-12  (C. Ethe, G. Madec) from trcnam.pisces.h90
    !!----------------------------------------------------------------------
-   !! trc_nam_pisces       : PISCES model namelist read
+   !! trc_nam_pisces   : PISCES model namelist read
    !!----------------------------------------------------------------------
    USE oce_trc         ! Ocean variables
@@ -40,6 +40,6 @@
       !!----------------------------------------------------------------------
       INTEGER :: jl, jn
-      INTEGER :: ios, ioptio                 ! Local integer output status for namelist read
-      CHARACTER(LEN=20)   ::   clname
+      INTEGER :: ios, ioptio         ! Local integer
+      CHARACTER(LEN=20)::   clname
       !!
       NAMELIST/nampismod/ln_p2z, ln_p4z, ln_p5z, ln_ligand
@@ -49,36 +49,32 @@
       clname = 'namelist_pisces'
 
-      IF(lwp) WRITE(numout,*) ' trc_nam_pisces : read PISCES namelist'
-      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+      IF(lwp) WRITE(numout,*) 'trc_nam_pisces : read PISCES namelist'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~'
       CALL ctl_opn( numnatp_ref, TRIM( clname )//'_ref', 'OLD'    , 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       CALL ctl_opn( numnatp_cfg, TRIM( clname )//'_cfg', 'OLD'    , 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       IF(lwm) CALL ctl_opn( numonp     , 'output.namelist.pis' , 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       !
-
       REWIND( numnatp_ref )              ! Namelist nampisbio in reference namelist : Pisces variables
       READ  ( numnatp_ref, nampismod, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismod in reference namelist', lwp )
-
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampismod in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampisbio in configuration namelist : Pisces variables
       READ  ( numnatp_cfg, nampismod, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismod in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, nampismod )
-
-     IF(lwp) THEN                  ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Flag to use LOBSTER model            ln_p2z    = ', ln_p2z
-         WRITE(numout,*) ' Flag to use PISCES standard  model   ln_p4z    = ', ln_p4z
-         WRITE(numout,*) ' Flag to use PISCES quota     model   ln_p5z    = ', ln_p5z
-         WRITE(numout,*) ' Flag to ligand                       ln_ligand = ', ln_ligand
-         WRITE(numout,*) ' '
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampismod in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, nampismod )
+      !
+      IF(lwp) THEN                  ! control print
+         WRITE(numout,*) '   Namelist : nampismod '
+         WRITE(numout,*) '      Flag to use LOBSTER model            ln_p2z    = ', ln_p2z
+         WRITE(numout,*) '      Flag to use PISCES standard model    ln_p4z    = ', ln_p4z
+         WRITE(numout,*) '      Flag to use PISCES quota    model    ln_p5z    = ', ln_p5z
+         WRITE(numout,*) '      Flag to ligand                       ln_ligand = ', ln_ligand
       ENDIF
-
+      !
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         IF( ln_p5z    )  WRITE(numout,*) '  PISCES QUOTA model is used'
-         IF( ln_p4z    )  WRITE(numout,*) '  PISCES STANDARD model is used'
-         IF( ln_p2z    )  WRITE(numout,*) '  LOBSTER model is used'
-         IF( ln_ligand )  WRITE(numout,*) '  Compute remineralization/dissolution of organic ligands'
-         WRITE(numout,*) ' '
+         WRITE(numout,*)
+         IF( ln_p5z    )  WRITE(numout,*) '   ==>>>   PISCES QUOTA model is used'
+         IF( ln_p4z    )  WRITE(numout,*) '   ==>>>   PISCES STANDARD model is used'
+         IF( ln_p2z    )  WRITE(numout,*) '   ==>>>   LOBSTER model is used'
+         IF( ln_ligand )  WRITE(numout,*) '   ==>>>   Compute remineralization/dissolution of organic ligands'
       ENDIF
     
